DPGEN_NAND4(3)

NAME
DPGEN_NAND4 - NAND4 Macro-Generator

SYNOPSIS

#include <genlib.h>

void GENLIB_MACRO (DPGEN_NAND4, char *modelname, long flags, long N, long drive);

DESCRIPTION

Generate a N bits four inputs NAND with an output power of drive named modelname.

Valid drive are : 1 or 4.

  TERMINAL NAMES

1.  i3 : input.

2.  i2 : input.

3.  i1 : input.

4.  i0 : input.

5.  nq : output.

6.  vdd : power.

7.  vss : ground.

  BEHAVIOR
nq <= not(i0 and i1 and i2 and i3)

EXAMPLE

GENLIB_MACRO(DPGEN_NAND4, "model_nand4_32"
                        , F_BEHAV|F_PLACE
                        , 32
                        , 1
                        );
GENLIB_LOINS( "model_nand4_32"
            , "instance1_nand4_32"
            , "i3[31:0]"
            , "i2[31:0]"
            , "i1[31:0]"
            , "i0[31:0]"
            , "nq[31:0]"
            , "vdd", "vss", NULL
            );

SEE ALSO

GENLIB_MACRO(3), genlib(1)